package com.duokan.airkan.phone.aidl;


import com.duokan.airkan.phone.aidl.IVideoServiceCallback;
import com.duokan.airkan.phone.aidl.IPhotoServiceCallback;
import com.duokan.airkan.phone.aidl.IDeviceServiceCallback;
import com.duokan.airkan.common.aidl.video.ParcelQueryData;
import com.duokan.airkan.common.aidl.video.ParcelVideoBasicInfo;
import com.duokan.airkan.common.aidl.video.ParcelVideoURL;
import com.duokan.airkan.common.aidl.video.ParcelDuokanVideoInfo;
import com.duokan.airkan.common.aidl.ParcelDeviceData;
import com.duokan.airkan.common.aidl.photo.ParcelPhotoQueryData;
import com.duokan.airkan.common.aidl.photo.ParcelSliderType;
import com.duokan.airkan.common.aidl.photo.ParcelPhotoInfo;
import com.duokan.airkan.common.aidl.ParcelConnectedAppInfo;

interface IAirkanClientService {
    void registerDeviceCallback(IDeviceServiceCallback cb);
    void removeDeviceCallback();
    void registerVideoCallback(IVideoServiceCallback cb);
    void removeVideoCallback(IVideoServiceCallback cb);

    void registerPhotoCallback(IPhotoServiceCallback cb);
    void removePhotoCallback();
 /*
    int queryDevices(out List<ParcelDeviceData> deviceList);
    void queryCurrentService(out ParcelConnectedAppInfo appInfo);
 */
    
    /*
     * return:
     * <0, error
     * =0, success
     */
    int connect(String appName, String svrName);
    int connect2BT(String appName, String svrName);
    void disconnect(int handle);
    int release(int handle);
    int connect2ip(String appName, String ip, int port);

    /* play control
     * return:
     * <0, error
     * =0, success
     */

    int play(int handle, in ParcelVideoBasicInfo pvbi, in List<ParcelVideoURL> pvul, in ParcelDuokanVideoInfo pdvi);
    int musicPlay(int handle, in ParcelVideoBasicInfo pvbi, in List<ParcelVideoURL> pvul, in ParcelDuokanVideoInfo pdvi);
    int playSp(int handle, String parameters);
    int stop(int handle);
    int pause(int handle);
    int resume(int handle);
    int seek(int handle, int position);
    int query(int handle, in ParcelQueryData queryData);
    int setResolution(int handle, byte resolution);
    int setSource(int handle, byte preferSource);
    int setVolume(int handle, byte volume);


    /*
     * photo control
     */
    int photoRequest(int handle, String mDeviceName);
    int photoPush(int handle, in ParcelPhotoInfo[] photoList);
    int photoShow(int handle, boolean slidershow, int sst,int filehandle, boolean isChangeShowType);
    int photoClean(int handle,boolean cleanAll, int filehandle);
    int photoQuery(int handle, in ParcelPhotoQueryData photoQueryData);
    int buildHandleMap(in String reqString);
    int photoShowNew(in String reqString);
    int photoClose(int handle);
	int photoViewSync(int handle, int photoID, in int[] viewParams, float viewScale);
	int photoRotate(int handle, int photoID, boolean isRelativeRotate, float degree);
}
