package com.duokan.remotecontroller.phone.aidl;
import com.duokan.remotecontroller.phone.aidl.IRCServiceCallback;
import com.duokan.remotecontroller.phone.aidl.IDeviceServiceCallback;
import android.view.KeyEvent;
import android.view.MotionEvent;
import com.duokan.airkan.common.aidl.ParcelDeviceData;
import com.duokan.airkan.common.aidl.video.ParcelVideoBasicInfo;
import com.duokan.airkan.common.aidl.video.ParcelDuokanVideoInfo;

interface IRCClientService {
    void registerDeviceCallback(IDeviceServiceCallback cb);
    void removeDeviceCallback();
    void registerRCCallback(IRCServiceCallback cb);
    void removeRCCallback();
    int queryDevices(out List<ParcelDeviceData> deviceList);
    
    
    /*
     * return:
     * <0, error
     * =0, success
     */
    int connect(String appName, String svrName);
	int connect2(String extra, String appName, String svrName);
    void disconnect(int handle);
    void wakeup(String ip, String usingmac);
    /* remote control
     * return:
     * <0, error
     * =0, success
     */
    int sendKey(int handle, in KeyEvent keyEvent, String extra);
    int play(int handle, in ParcelVideoBasicInfo pvbi, in ParcelDuokanVideoInfo pdvi);
    int sendTouchEvent(int handle,in MotionEvent motionEvent, String extra);
    int sendIMECtrl2TV(int handle, int ctrlType, String extraData);
    int sendMiracastCtrl2TV(int handle, int ctrlType, String extraData);
    int sendRPCtrl2TV(int handle, int ctrlType, int fstParm, int secParm);
    
    
    int connect2ip(String appName, String ip, int port, String servicetype);
    int connect2ip2(String extra, String appName, String ip, int port, String servicetype);
    int scanADB();


    void cancelConnection();
    void connectCanceled();
    boolean isConnected();
    boolean isConnecting();
    String getConnectDevice();
}
