package com.xiaomi.milink.transmit.aidl;

import com.xiaomi.milink.transmit.aidl.IUDTTransmitCallback;

interface IUDTTransmitService {
    int registCallback(int inSrcAppID, IUDTTransmitCallback inCallback);
    int removeCallback(int inSrcAppID);
    
    int startTCPServer(int inTCPPort);
    int closeTCPServer(int inTCPPort);
    
    int startUDPServer(int inUDPPort);
    int closeUDPServer(int inUDPPort);
    
    int createConnection(int inSrcAppID, int inDstIP, int inDstPort, int inDstAppID, boolean isCtrlConnection);
    int removeConnection(int inSrcAppID, int inDstIP, int inDstPort, int inDstAppID, boolean isCtrlConnection);
    
    int createDataBuffer(int inDataSize);
    int copyToDataBuffer(int inBufferID, int inBufferOffset, in byte[] inData, int inLength);
    
    int sendCtrlByTCP(int inSrcAppID, int inDstIP, int inDstPort, int inDstAppID, in byte[] inData);
    int sendDataByTCP(int inSrcAppID, int inDstIP, int inDstPort, int inDstAppID, int inBufferID);
    int sendDataByUDP(int inSrcAppID, int inDstIP, int inDstPort, int inDstAppID, in byte[] inData);
    int cancelTCPData(int inSrcAppID, int inDstIP, int inDstPort, int inDstAppID);
}